<?php 
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("xxxxx Operador: $nomeOperador idlabo=$idLabo amostraLong=$amostraLong<br>");
//AQUI SO COLOCA OS TESTES E INFORMA O NUMERO DE TESTES NO FINAL O RESTO FICA PRONTO AUTOMATICAMENTE SO NAO PODE FICAR TROCANDO OS NOMES

//listar as amostras 



$vetor[1]="PUR";
$vetor[2]="GER";
$vetor[3]="TZO";
$vetor[4]="EAC";
$vetor[5]="PMS";
$vetor[6]="DOS";
$vetor[7]="FRI";
$vetor[8]="HD*";
$vetor[9]="LD*";
$vetor[10]="GL*";
$vetor[11]="PZ*";
$quantosTestes=11;







/////////////////////
if (isset($_POST['editar'])):
   //deleta todos os testes para regravalos logo em seguida
    $user = new testesSolicitados();
    $user->valorpk = $tes_ficha;
    $user->extras_select = " WHERE tes_ficha=".$amostraLong;
	$user->deletarRegistros($user);
    //vai verificar quais os testes foram marcados com uso do comendo isset
	for($i=1;$i<=$quantosTestes;$i++)
	{
	   if (isset($_POST[$vetor[$i]])):
	       //echo("aqui ahcou $vetor[$i]<br>");
	       $userTestes = new testesSolicitados(array(
	          'tes_ficha'=>$amostraLong,
	          'tes_teste'=>$vetor[$i],
	       ));
	       $userTestes->inserir($userTestes);
	   endif;
	}
	echo("Ok,gravou.<br>");
endif;
//aqui cria um segundo vetor com mesmo tamanho do vetor de testes e que serve para armazenar no 
//mesmo indice do vetor principal a palavra checked se o teste foi solicitado
$user = new amostras();
$user->extras_select = "where fic_amostra>5";
$user->selecionaTudo($user);
while ($res = $user->retornaDados()):
    //para cada registro ele varre o array para ver o indice. quando encontra ele grava o valor no segundo vetor 
    for($i=1;$i<=$quantosTestes;$i++)
	{
        if($res->tes_teste==$vetor[$i]) $segundoVetor[$i]='checked';
	}
endwhile;                
?>

<script type="text/javascript"> 
function closeIframe() 
{ 
   parent.document.getElementById("userform").style.display="none" 
} 
</script> 




<html>
<body bgcolor="white">
<form class="userform" method="post" action="">
      <table>
        <?php
        $conta=0;
		for($i=1;$i<=$quantosTestes;$i++)
		{
        if($conta==7) $conta=0;
        if($conta==0) echo'<tr>';
		$conta++;
		?>
        <td bgcolor="silver"><?php echo $vetor[$i];?><input type="checkbox"  <?php echo $segundoVetor[$i];?>   name="<?php echo $vetor[$i];?>" /><td>
        <?php
        if($conta==0) echo'</tr>';
		}
    	?>
		</table>  
           <ul>
                <li class="center">
                <a href="window.close">Fechar</a>
				<input type="submit" name="editar" value="Salvar Alteracoes" />
				</li>
            </ul>
</form>
</body>



</html>
